Bug 6460 - net asks for the password even if it should not.
net asks for the password even if it should not.
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Client Tools
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Kai Blin
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 06:24 UTC by Kai Blin
Modified: 2009-06-30 07:55 UTC (History)
1 user (show)

See Also:
gd: review+


Attachments
Revert net command line changes, restoring 3.3 behaviour (32.13 KB, patch)
2009-06-10 06:25 UTC, Kai Blin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Blin 2009-06-10 06:24:10 UTC
While trying to make net use the standard command line parameters other samba command line tools use, we managed to make net ask for passwords too often.

There is no easy way to fix this for net rpc, and it's unclear how many net ads commands need to be fixed as well.
Comment 1 Kai Blin 2009-06-10 06:25:24 UTC
Created attachment 4268 [details]
Revert net command line changes, restoring 3.3 behaviour

This patch reverts the culprit and related patches. Günther, please check.
Comment 2 Guenther Deschner 2009-06-18 17:47:06 UTC
Ok, yes, it is odd to revert all this hard work but we really need to do this very carefully (once we have time for it again). 

With this patch, behavior was again as expected (as in 3.3) so we definitely need this for 3.4.
Comment 3 Karolin Seeger 2009-06-19 01:13:32 UTC
The revert has been pushed.
Re-assigning bug report to Kai.
Comment 4 Karolin Seeger 2009-06-30 07:55:16 UTC
Closing out bug report.
This issue is fixed.